import { BaseError } from "../errors/BaseError.js";
export declare class OperandTypeError extends TypeError {
    constructor(message: string);
}
export declare class ConditionOperandTypeError extends OperandTypeError {
}
export declare class BooleanExpectedError extends OperandTypeError {
}
export declare class NumberExpectedError extends OperandTypeError {
}
export declare class StringExpectedError extends OperandTypeError {
}
export declare class ListExpectedError extends OperandTypeError {
}
export declare class URLExpectedError extends OperandTypeError {
}
export declare class EvaluationError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class ParserError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(position: number, message: string, src?: unknown);
}
export declare class MissingTokenConstructorError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class MissingRequiredFieldError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class DuplicateIdInSchema extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class EvalNotImplementedError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class ReturnNotImplementedError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class ParsingError extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
export declare class InvalidRegularExpression extends BaseError {
    src?: unknown;
    protected errorCode: string;
    constructor(message: string, src?: unknown);
}
//# sourceMappingURL=sdqlExceptions.d.ts.map