"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidRegularExpression = exports.ParsingError = exports.ReturnNotImplementedError = exports.EvalNotImplementedError = exports.DuplicateIdInSchema = exports.MissingRequiredFieldError = exports.MissingTokenConstructorError = exports.ParserError = exports.EvaluationError = exports.URLExpectedError = exports.ListExpectedError = exports.StringExpectedError = exports.NumberExpectedError = exports.BooleanExpectedError = exports.ConditionOperandTypeError = exports.OperandTypeError = void 0;
const errorCodes_js_1 = __importDefault(require("../errors/errorCodes.js"));
const BaseError_js_1 = require("../errors/BaseError.js");
class OperandTypeError extends TypeError {
    constructor(message) {
        super(message);
    }
}
exports.OperandTypeError = OperandTypeError;
class ConditionOperandTypeError extends OperandTypeError {
}
exports.ConditionOperandTypeError = ConditionOperandTypeError;
class BooleanExpectedError extends OperandTypeError {
}
exports.BooleanExpectedError = BooleanExpectedError;
class NumberExpectedError extends OperandTypeError {
}
exports.NumberExpectedError = NumberExpectedError;
class StringExpectedError extends OperandTypeError {
}
exports.StringExpectedError = StringExpectedError;
class ListExpectedError extends OperandTypeError {
}
exports.ListExpectedError = ListExpectedError;
class URLExpectedError extends OperandTypeError {
}
exports.URLExpectedError = URLExpectedError;
class EvaluationError extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[EvaluationError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[EvaluationError.name];
    }
}
exports.EvaluationError = EvaluationError;
class ParserError extends BaseError_js_1.BaseError {
    constructor(position, message, src) {
        super(`${position}: ${message}`, 500, errorCodes_js_1.default[ParserError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[ParserError.name];
    }
}
exports.ParserError = ParserError;
class MissingTokenConstructorError extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[MissingTokenConstructorError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[MissingTokenConstructorError.name];
    }
}
exports.MissingTokenConstructorError = MissingTokenConstructorError;
class MissingRequiredFieldError extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[MissingRequiredFieldError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[MissingRequiredFieldError.name];
    }
}
exports.MissingRequiredFieldError = MissingRequiredFieldError;
class DuplicateIdInSchema extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[DuplicateIdInSchema.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[DuplicateIdInSchema.name];
    }
}
exports.DuplicateIdInSchema = DuplicateIdInSchema;
class EvalNotImplementedError extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[EvalNotImplementedError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[EvalNotImplementedError.name];
    }
}
exports.EvalNotImplementedError = EvalNotImplementedError;
class ReturnNotImplementedError extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[ReturnNotImplementedError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[ReturnNotImplementedError.name];
    }
}
exports.ReturnNotImplementedError = ReturnNotImplementedError;
class ParsingError extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[ParsingError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[ParsingError.name];
    }
}
exports.ParsingError = ParsingError;
class InvalidRegularExpression extends BaseError_js_1.BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes_js_1.default[InvalidRegularExpression.name], src, false);
        this.src = src;
        this.errorCode = errorCodes_js_1.default[InvalidRegularExpression.name];
    }
}
exports.InvalidRegularExpression = InvalidRegularExpression;
//# sourceMappingURL=sdqlExceptions.js.map